Re: [Flightgear-devel] f16 speedbrakes

2008-08-01 Thread Erik Hofman
Alex Romosan wrote: i noticed that on the f16 the speedbrakes have no effect at all and i managed to track it down to the fact that the various coefficients use fcs/mag-speedbrake-pos-rad on input which never gets set anywhere (so it is always 0). digging through the cvs logs i found that

Re: [Flightgear-devel] f16 speedbrakes

2008-08-01 Thread Alex Romosan
Erik Hofman writes: Looking at the code it looks like setting speed-break-pos-norm should be the same as setting speed-break-pos-rad so the patch shouldn't have any effect. look at aero/coefficient/CDDsb or fcs/mag-speedbrake-pos-rad in the property browser. when you deploy the speed brakes

Re: [Flightgear-devel] f16 speedbrakes

2008-08-01 Thread Erik Hofman
Alex Romosan wrote: Erik Hofman writes: Looking at the code it looks like setting speed-break-pos-norm should be the same as setting speed-break-pos-rad so the patch shouldn't have any effect. look at aero/coefficient/CDDsb or fcs/mag-speedbrake-pos-rad in the property browser. when

Re: [Flightgear-devel] f16 speedbrakes

2008-08-01 Thread Erik Hofman
Alex Romosan wrote: Erik Hofman writes: Looking at the code it looks like setting speed-break-pos-norm should be the same as setting speed-break-pos-rad so the patch shouldn't have any effect. look at aero/coefficient/CDDsb or fcs/mag-speedbrake-pos-rad in the property browser. when

Re: [Flightgear-devel] Window Controls

2008-08-01 Thread cullam Bruce-Lockhart
I'm actually not trying to patch Flightgear into a piece of Camera Software. I'm making some modifications and changes to Flightgear so it can give commands to the camera's hardware and internal API. The way that Curtis talks about is one of the ways that I'm looking at doing it. But I've got

[Flightgear-devel] Required version of OSG ?

2008-08-01 Thread Frederic Bouvier
I am using OSG v2.4, and today, I have this compilation error : FGManipulator.cxx \Devel\FlightGear\src\Main\FGManipulator.cxx(147) : error C2039: 'getGraphicsContext' : n'est pas membre de 'osgGA::GUIEventAdapter' ..\..\..\OpenSceneGraph\include\osgGA\GUIEventAdapter(26) : voir la

Re: [Flightgear-devel] Required version of OSG ?

2008-08-01 Thread Tim Moore
Frederic Bouvier wrote: I am using OSG v2.4, and today, I have this compilation error : FGManipulator.cxx \Devel\FlightGear\src\Main\FGManipulator.cxx(147) : error C2039: 'getGraphicsContext' : n'est pas membre de 'osgGA::GUIEventAdapter'

Re: [Flightgear-devel] RFC: changes to views and cameras

2008-08-01 Thread Tim Moore
Tim Moore timoore at redhat.com writes: Hi, I'd like your comments on some changes to views and OSG cameras in FlightGear before I start working on them. In particular, my understanding of how FGViewer works might not be complete. I've implemented what I described here. The property

Re: [Flightgear-devel] Required version of OSG ?

2008-08-01 Thread Vivian Meazza
Tim Moore Frederic Bouvier wrote: I am using OSG v2.4, and today, I have this compilation error : FGManipulator.cxx \Devel\FlightGear\src\Main\FGManipulator.cxx(147) : error C2039: 'getGraphicsContext' : n'est pas membre de 'osgGA::GUIEventAdapter'